Skip to main content
 首页 » 编程设计

gradle之使用 Android studio 构建项目失败

2024年02月27日13haluo1

谁能告诉我为什么 AndroidStudio 会出现此错误?

Execution failed for task ':sampleapp:preBuild'. 
> Build Tools Revision 19.0.0+ is required. 

我已经从 Android SDK 管理器安装了 Android Build-tools 19.0.1

请您参考如下方法:

检查您的所有 build.gradle 文件,无论它们是否使用 19.0.x 版本。

buildToolsVersion 将在 build.gradle 文件内的 android 标记下定义,如下所示:

android { 
     compileSdkVersion 19 
     buildToolsVersion '19.0.3' 
 
     // Other Configuration 
} 

您可以找到 Android 构建工具 here 的版本列表以及SDK 管理器中。